#define XERR
#include "loop.ih"

    // tumor does exist, but the screening may be negative: false negative
    //                   otherwise: true positive

extern size_t g_caseIdx;

        // by screen.cc

void Loop::maybeFalseNegative(ModBase *modBase, double screeningAge)
{
    d_tumor.characteristicsAt(screeningAge);

    if (falseNegative(modBase))
        // ++d_nRoundFN[d_round];
        modBase->addFalseNegative(d_round);
    else
    {
        tumorDetected(modBase, screeningAge);
        // ++d_nRoundTP[d_round];

        modBase->addTruePositive(d_round);

        d_modValue += modBase->value();         // true positive detection
                                                // by *modBase
    }
}


// see also: Marcel: Tue, 9 Jun 2020 13:01:00 +0000
//           Marcel: Thu, 11 Jun 2020 10:35:44 +0000 (MRI, Mammo, Tomo are
//                   all used

// the check for tumor.diameter() >= 1 is omitted, since
// all tumors have at least 1 mm diameter
// (see Marcel: Tue, 30 Jun 2020 10:46:05 +0000)
